## miniasm 0.2

=== debian/changelog ===
miniasm (0.2-1) unstable; urgency=low

  * Initial packaging (Closes: #812426)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 24 Jan 2016 12:06:20 +0000

=== debian/watch ===
version=3
https://github.com/lh3/miniasm/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## miniasm 0.2+dfsg

=== Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 -Wc++-compat -Wno-unused-function
CPPFLAGS=
INCLUDES=	-I.
OBJS=		sys.o sdict.o paf.o asg.o common.o hit.o asm.o
PROG=		miniasm minidot
LIBS=		-lm -lz -lpthread

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(CPPFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

miniasm:$(OBJS) main.o
		$(CC) $(CFLAGS) $^ -o $@ $(LIBS)

minidot:paf.o sdict.o dotter.o
		$(CC) $(CFLAGS) $^ -o $@ $(LIBS)

clean:
		rm -fr gmon.out *.o a.out $(PROG) *~ *.a *.dSYM session*

depend:
		(LC_ALL=C; export LC_ALL; makedepend -Y -- $(CFLAGS) $(DFLAGS) -- *.c)

# DO NOT DELETE

asg.o: asg.h kvec.h ksort.h
asm.o: miniasm.h sdict.h asg.h kvec.h kdq.h kseq.h
common.o: miniasm.h sdict.h asg.h
dotter.o: paf.h sdict.h kvec.h eps.h ksort.h
hit.o: sdict.h paf.h kvec.h sys.h miniasm.h asg.h ksort.h
main.o: kvec.h sys.h paf.h sdict.h miniasm.h asg.h
paf.o: paf.h kseq.h
sdict.o: sdict.h khash.h

=== debian/changelog ===
miniasm (0.2+dfsg-2) unstable; urgency=medium

  * Change maintainer email.
  * Add EDAM annotations.
  * Bump Standards-Version.
  * Add bindnow hardening.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 08 Aug 2016 12:50:10 +0000

miniasm (0.2+dfsg-1) unstable; urgency=medium

  * Remove upstream manuscript draft from source.
  * Add missing copyright holders.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 26 Jan 2016 09:32:58 +0000

=== debian/control ===
Source: miniasm
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.8
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/miniasm.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/miniasm.git
Homepage: https://github.com/lh3/miniasm

Package: miniasm
Architecture: any
Recommends: minimap
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g
Description: ultrafast de novo assembler for long noisy DNA sequencing reads
 Miniasm is an experimental very fast OLC-based de novo assembler for noisy
 long reads. It takes all-vs-all read self-mappings (typically by minimap)
 as input and outputs an assembly graph in the GFA format. Different from
 mainstream assemblers, miniasm does not have a consensus step. It simply
 concatenates pieces of read sequences to generate the final unitig sequences.
 Thus the per-base error rate is similar to the raw input reads.

## miniasm 0.3%2Bdfsg

=== debian/changelog ===
miniasm (0.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jul 2018 06:56:06 +0200

miniasm (0.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop unneeded Testsuite: autopkgtest

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jul 2018 21:02:10 +0200

## miniasm 0.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC=			gcc
-CFLAGS=		-g -Wall -O2 -Wc++-compat -Wno-unused-function
+CFLAGS=		-g -Wall -O2 -Wc++-compat
 CPPFLAGS=
 INCLUDES=	-I.
 OBJS=		sys.o sdict.o paf.o asg.o common.o hit.o asm.o

=== debian/changelog ===
miniasm (0.3+dfsg-4) unstable; urgency=medium

  * Bump Standards-Version.
  * Fix watchfile format.
  * Bump d/copyright date.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 19 Oct 2022 10:10:44 +0200

miniasm (0.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 14:03:50 +0200

miniasm (0.3+dfsg-2) unstable; urgency=medium

  * Fix EDAM syntax (thanks Andreas Tille).
  * Add conda reference (thanks Steffen Moeller).
  * Use debhelper-compat 12.
  * Bump Standards-Version.
  * Add missing DEP-12 fields.
  * Use secure URL in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Apr 2020 12:24:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 3.9.8
-Testsuite: autopkgtest
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/miniasm.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/miniasm.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/miniasm
+Vcs-Git: https://salsa.debian.org/med-team/miniasm.git
 Homepage: https://github.com/lh3/miniasm
+Rules-Requires-Root: no
 
 Package: miniasm
 Architecture: any
-Recommends: minimap
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          zlib1g
+Recommends: minimap
 Description: ultrafast de novo assembler for long noisy DNA sequencing reads
  Miniasm is an experimental very fast OLC-based de novo assembler for noisy
  long reads. It takes all-vs-all read self-mappings (typically by minimap)

=== debian/tests/control ===
Tests: run
Depends: @, minimap, genometools
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
https://github.com/lh3/miniasm/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
